build:
  stage: build
  image: node
  before_script:
    - npm -g i pnpm
    - pnpm config set store-dir ./.pnpm-store
    # - pnpm add -g esbuild
    - pnpm i
  script:
    - echo 'store-dir=./.pnpm-store' >> .npmrc # allow caching
    - pnpm run build
  artifacts:
    paths:
      - dist/
  cache:
    - key: "$CI_COMMIT_REF_SLUG"
    # - key: "pnpm"
      paths:
        - ./.pnpm-store

publish:
  stage: deploy
  image: tennox/fission-cli:latest
  needs: ['build']
  script:
    - fission up